      subroutine makels(isym)                                           MAKE001
c ----------------------------------------------------------------------MAKE002
c    converts UPCASE element string isym into Upper/lower symbol        MAKE003
c ----------------------------------------------------------------------MAKE004
c     This program module is part of the PhysiSoft X-ray Library        MAKE005
c     and may not be sold or reproduced for commercial purposes.        MAKE006
c     Although it has been tested carefully, there is no warranty       MAKE007
c     regarding accuracy or freedom from side-effects.                  MAKE008
c                   (C) 1986-1990 Bernhard Rupp                         MAKE009
c ----------------------------------------------------------------------MAKE010
      character isym(2)                                                 MAKE011
                                                                        MAKE012
C-----change to upper case - not for PDB special symbols ---            MAKE013
      if ((isym(2).ne.'H').and.(isym(2).ne.'P')) then                   MAKE014
         if (ichar(isym(1)).ge.95.and.ichar(isym(1)).le.122) then       MAKE015
            iascii=ichar(isym(1))-32                                    MAKE016
            isym(1)=char(iascii)                                        MAKE017
         endif                                                          MAKE018
         if (ichar(isym(2)).ge.65.and.ichar(isym(2)).le.90) then        MAKE019
            iascii=ichar(isym(2))+32                                    MAKE020
            isym(2)=char(iascii)                                        MAKE021
         endif                                                          MAKE022
      endif                                                             MAKE023
      return                                                            MAKE024
      end                                                               MAKE025
                                                                        MAKE026
                                                                        MAKE027
